Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597045 - [abrt] knotes: std::__atomic_base<int>::load(): akonadi_notes_agent killed by SIGSEGV
Summary: [abrt] knotes: std::__atomic_base<int>::load(): akonadi_notes_agent killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: knotes
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a5402095fd81cfe4bc3a0dd040c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-01 20:51 UTC by Kjell.Randa@broadpark.no
Modified: 2018-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:06:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: cgroup (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: core_backtrace (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: cpuinfo (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: dso_list (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: environ (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: exploitable (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: limits (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: maps (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: mountinfo (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: open_fds (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details
File: proc_pid_status (deleted)
2018-07-01 20:51 UTC, Kjell.Randa@broadpark.no
no flags Details

Description Kjell.Randa@broadpark.no 2018-07-01 20:51:21 UTC
Version-Release number of selected component:
knotes-17.12.3-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/akonadi_notes_agent --identifier akonadi_notes_agent
crash_function: std::__atomic_base<int>::load
executable:     /usr/bin/akonadi_notes_agent
journald_cursor: s=b655a23f88864a1cbb867ac676b1cc70;i=29ca8;b=6feb712a14c34ca387d18e6f59484713;m=62fd8083b2;t=56fc8f07ebf4d;x=1ca928432ec988e4
kernel:         4.16.15-200.fc27.x86_64
rootdir:        /
runlevel:       5 3
type:           CCpp
uid:            501

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::__atomic_base<int>::load at /usr/include/c++/7/bits/atomic_base.h:396
 #1 QAtomicOps<int>::loadAcquire<int> at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:239
 #2 QBasicAtomicInteger<int>::loadAcquire at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:105
 #3 QFreeList<void, QtTimerIdFreeListConstants>::next at ../../include/QtCore/5.9.4/QtCore/private/../../../../../src/corelib/tools/qfreelist_p.h:244
 #4 QAbstractEventDispatcherPrivate::allocateTimerId at kernel/qabstracteventdispatcher.cpp:93
 #5 QAbstractEventDispatcher::registerTimer at kernel/qabstracteventdispatcher.cpp:258
 #6 QObject::startTimer at kernel/qobject.cpp:1629
 #7 QTimer::start at kernel/qtimer.cpp:211
 #8 QNetworkConfigurationManagerPrivate::startPolling at bearer/qnetworkconfigmanager_p.cpp:476
 #9 QNetworkConfigurationManagerPrivate::updateConfigurations at bearer/qnetworkconfigmanager_p.cpp:421

Comment 1 Kjell.Randa@broadpark.no 2018-07-01 20:51:26 UTC
Created attachment 1455811 [details]
File: backtrace

Comment 2 Kjell.Randa@broadpark.no 2018-07-01 20:51:27 UTC
Created attachment 1455812 [details]
File: cgroup

Comment 3 Kjell.Randa@broadpark.no 2018-07-01 20:51:28 UTC
Created attachment 1455813 [details]
File: core_backtrace

Comment 4 Kjell.Randa@broadpark.no 2018-07-01 20:51:30 UTC
Created attachment 1455814 [details]
File: cpuinfo

Comment 5 Kjell.Randa@broadpark.no 2018-07-01 20:51:31 UTC
Created attachment 1455815 [details]
File: dso_list

Comment 6 Kjell.Randa@broadpark.no 2018-07-01 20:51:33 UTC
Created attachment 1455816 [details]
File: environ

Comment 7 Kjell.Randa@broadpark.no 2018-07-01 20:51:34 UTC
Created attachment 1455817 [details]
File: exploitable

Comment 8 Kjell.Randa@broadpark.no 2018-07-01 20:51:35 UTC
Created attachment 1455818 [details]
File: limits

Comment 9 Kjell.Randa@broadpark.no 2018-07-01 20:51:37 UTC
Created attachment 1455819 [details]
File: maps

Comment 10 Kjell.Randa@broadpark.no 2018-07-01 20:51:38 UTC
Created attachment 1455820 [details]
File: mountinfo

Comment 11 Kjell.Randa@broadpark.no 2018-07-01 20:51:40 UTC
Created attachment 1455821 [details]
File: open_fds

Comment 12 Kjell.Randa@broadpark.no 2018-07-01 20:51:41 UTC
Created attachment 1455822 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 15:03:50 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 22:06:32 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.